commit d6aca587e2e9b90f7d0379d5bd4b792ae68fc2cc
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Jul 4 09:51:24 2010 -0500

    Bump version to 1.4.1

commit dab7a79faf67ad5f33d15cc90b7fa34f61cf4c90
Author: Tomáš Chvátal <scarabeus@gentoo.org>
Date:   Sun Jul 4 09:23:26 2010 -0500

    Do not automagically rely on xmlto, include a configure option instead.
    
    Thanks, Tomáš!

commit 87883a1cc89618b5a985a9c78f8234fc1570c54c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Jun 22 19:09:40 2010 -0500

    Make on_ac_power check sysfs directly.
    
    This avoids us depending on power managers that depend on us.

commit 0326034188bfd6943c4958775b7b18e701c3c0ca
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 19 18:31:12 2010 -0500

    Update configure.ac to 1.4.0

commit 9b06ee14de8ec8e72d7c1c12d380fcca609caa73
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 19 18:20:14 2010 -0500

    Oops, stop worrying about disabling wake on lan for wireless.

commit 646a20af9b48d1bb4630f237a345e82ffb2921b5
Merge: 1fd247d 79dde6f
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 19 18:10:00 2010 -0500

    Merge remote branch 'UPSTREAM/pm-utils-1.4' into pm-utils-1.4

commit 1fd247d087ed73896d2b2156039dff2a353f6db6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 19 18:08:19 2010 -0500

    Fix stupid error in sata_alpm

commit 79dde6f2f7bb620b163981ec7a7b995c9c9d1b0e
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Fri Jun 18 15:15:16 2010 +0200

    Use flock for more robust lock file handling
    
    Debian-Bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568565

commit 8e63749b7ec708df9ea21cde0b99d060e71dbb9a
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Fri Jun 18 08:09:56 2010 +0200

    Various small man page updates and fixes

commit 2cf0e870ceac51b9f1c706d15f775f8a050680cd
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Jun 15 07:07:45 2010 -0500

    Bump to pm-utils-1.4.0-rc2

commit ef1e0968b93d2e3425183e6f18747082b5c3a7c5
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Jun 15 07:03:22 2010 -0500

    Added informative messages to some of the sleep hooks.

commit cb0ad2d4e13972810ebbe2a979b5cb37d740149a
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 15:10:52 2010 -0500

    Make powersave hooks a little more verbose.

commit b540f8f5c4fffad793d0a4938feb80d6f1f04c18
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 15:29:42 2010 -0500

    Change hook run printing to make it not look ugly.
    
    Hooks can print things too.

commit b9909dfe65f41eceaf771a7f0caa852fab2839e2
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 13:25:24 2010 -0500

    Fix some thinkos introduced by the wireless hooks changes.
    
    Among other things, we were not actually enabling power management
    for wireless adaptors.  We are now.

commit 1afc0d335b5a55c770ebe12bfe8604a12ca24753
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 10:29:20 2010 -0500

    Oops, missed some Makefile.am updates.

commit b5abeba798d406c1a2b9667966768223b890f19b
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 08:15:30 2010 -0500

    Add a hook to disable polling optical media while on battery.

commit f81a0b13ebd8f6e0f3c3d0ed71e243cf10f0a7f7
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 07:34:59 2010 -0500

    import-fdi-quirkdb was only ever a temporary hack.
    
    Now that we handle the quirk database, it goes byebye.

commit aef6bd0834ba098fa4692ee61823a59cfdf0e63f
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 07:25:25 2010 -0500

    Fix a typo in README.distributions.

commit 7fa3d26ccdc5639a2b99da3d758d0dca6dc56a2c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 07:23:32 2010 -0500

    Update README.debugging.

commit 257b46f303e1b896cbd8f9b64af92af3857a3f61
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 14 07:19:35 2010 -0500

    Update TODO file

commit 984f135ca4140f5f17dee14c0a9bd06a85ca5f82
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 12 09:53:56 2010 -0500

    Update NEWS.

commit 31cc0a75f5dbe7bc2d372a9223dcf4a635a73201
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 12 09:28:27 2010 -0500

    The power management stuff deserves its own branch.

commit a4e4b0ce456c66d01d9c5f09a73242d2db6c65e9
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 12 13:07:51 2010 -0500

    Update git tree packaging to conflict with laptop-mode-tools
    
    The new powermanagement scripts conflict with laptop-mode-tools.
    Make sure both are not installed at the same time.

commit cbb1de4dd5c79641169316e232b630662ecbf46f
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 12 12:52:36 2010 -0500

    Add more specificity to the wireless hook.
    
    Explicity handle Intel wireless cards according to their unique requirements.
    If only iwconfig power on/off did The Right Thing on all the cards.

commit eaebe53f016fb1a875a13de225b1d9d4e2db197c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jun 11 07:25:09 2010 -0500

    Update provides= line in PKGBUILD to privide version 9999

commit 9b059c01da46c12d026002ebaeb5a3c0cdd59a78
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Jun 8 14:57:13 2010 -0400

    Fix paths for sched_powersave script
    
    The paths had a leading stray '$' and the hyperthreading path was
    incorrect.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit c97842b99029e81c138744f34f05746e7309a611
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Jun 8 14:47:26 2010 -0400

    Fix audio powersave script to look for snd_* modules
    
    Without this change the snd_hda_intel module is skipped.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit e2ea60907ca2b30e1ac5744d3e17dff16ed910ce
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Jun 9 05:23:57 2010 -0500

    Refuse to change sata link pm states on kernels < 2.6.33
    
    Kernels earlier then 2.6.33 have a bug that can cause filesystem corruption
    due to the upper layers aborting a transaction instead of retrying it if the
    sata link glitches out momentarily during a power state transition.

commit 4eaf130c73b3234ed980866ce54a311407accf36
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 5 14:09:07 2010 -0500

    Oops, forgot to add service script into the ight Makefile.am.

commit 12a931d4db8258049c5d619bb99f4f58ef600de1
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 5 13:52:24 2010 -0500

    There are no actual users of chassis_type anymore, get rid of it.

commit 58a67a9cbb8637c8cfe4ea06d5d956af0704f498
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jun 4 11:56:11 2010 -0500

    Add help functionality to pm-powersave

commit 32b72f406ad5bf92dddb2092082891f8225618f4
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jun 4 11:31:48 2010 -0500

    Update Makefile.am to include new hooks.

commit 27bf3ee21864ff27b3b9de47dbf101179e1b2434
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jun 4 12:53:04 2010 -0500

    Update help text for powersave hooks that display help.

commit a69b163aa760013e5a72327e43f8ef0f21226012
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jun 4 09:38:31 2010 -0500

    Add wakeonlan and pcie aspm powersave hooks.

commit 21558e0ceb21620ac78f5ef81f937a404fa1abb1
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jun 4 08:18:31 2010 -0500

    Add support for ext4 filesystems in journal_commit.
    
    Also force pm-utils to disable powersaving features across a suspend/resume.

commit 381ff7b01f459e5767d927386dad48e52d2c5f02
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Jun 3 16:30:32 2010 -0500

    Add sata_alpm control hook.

commit 43e64366c2c5c9831c041fb571bf7e92ad3598c2
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Jun 3 15:53:24 2010 -0500

    Add help and configurability to most of the powersave hooks.

commit ded3b131f51ba3aa64536019c4bfb0cb7a0df58b
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Jul 23 21:29:27 2008 -0500

    Added powersave hook to change journal commit interval

commit a262ed4c23199e6c42c19dd6fea423d72b78a15a
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jul 5 11:41:27 2008 -0500

    Make sure that we are root before trying to run dmidecode.

commit 6ff56aa5ec0aa5756162e60b26fd3cbdfb8abcfa
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Jun 30 19:08:44 2008 -0500

    Make laptop-mode, readahead, and xfs_buffer only apply
    when we are running on something that looks like a laptop.
    
    "looks like a laptop" = dmidecode says that chassis type is Portable.

commit 2a09b333c3096cfb0d361a983a4c479c4d54ed09
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Jun 29 12:07:22 2008 -0500

    More comments to the power hooks.
    
    Also added an environment variable that will (hopefully) tell us
    what type of system we have.

commit 58379d77e02e7ed3e4d61757358fb88d7f98413a
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Jun 29 11:57:55 2008 -0500

    Added comments to intel-audio-powersave and wireless

commit 69922741b43bfcee13677ae5dce16fa274f53a9e
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Jun 29 11:42:16 2008 -0500

    Rewrote the sched-powersave hook to eliminate redundancy.

commit b58b6ef7c254bf46b0cfb909070bfb5028ac05ce
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Jun 29 10:40:14 2008 -0500

    Power management for a couple of other subsystems

commit 8aae17379df8772e46b0f28fdb4d3e974f65ad54
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 28 23:25:11 2008 -0500

    Added some explanatory comments to the power hooks.

commit 6662c9f80bc8e914e826a009cdf0755d442687c8
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Jun 28 11:38:28 2008 -0500

    Richard raised concerns about hard drive spindown.
    
    So the harddrive hook no longer tries to spin the drive down pending
    some sort of consensus on the right thing to do to make the hard drive
    save power.
    
    In the mean time, though, just flat-out disable write caching on the
    hard drive.  I know that there are barriers and flushes that the ATA layer
    uses to ensure that data really is written to the disk, but hard drive cache
    isn't battery backed.

commit 1ab9f81812861c9fbab59c53a1fd50b3077d6a0f
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jun 27 20:02:58 2008 -0500

    Added basic laptop mode support to power.d

commit 9612398e36335b0358b4585ab6edd5589f9d129e
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Jun 4 11:13:06 2010 -0500

    Add PKGBUILD for rudimentary Arch Linux support

commit a4028ade02a01aff35d4968bfaeebe0748d1be98
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon May 31 18:52:19 2010 -0500

    Autodetect sleep modules by default instead of forcing the kernel one.

commit ad43a44d2f373a111c3912c4e5f65a43ab3cf65b
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon May 31 18:28:28 2010 -0500

    Make tuxonice methods chvt if using a userspace UI.
    
    Since we do not always chvt away from X before actually hibernating,
    things may get nasty if both X and the userspace UI start drawing.

commit b669f97fd18d6de49c6b6d6a28b77d6ecb321a5f
Author: Dylan Smith <dylan.ah.smith@gmail.com>
Date:   Mon May 31 14:04:29 2010 -0500

    Try falling back to standby suspend of mem is not available.
    
    It saves less power, but is the only option available on some systems.
    
    Thanks, Dylan Smith.

commit 619a0a8980c6e7294ac303da7ca3b2298fbe919e
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Apr 12 22:07:54 2010 -0500

    Make service command executable.

commit ed34802c8d538ff45cb35c726d7a6a53e66c9ec2
Author: Paul Menzel <paulepanter@users.sourceforge.net>
Date:   Mon Apr 12 15:04:01 2010 +0200

    README.native-quirk-db: Typo. s/though/through/
    
    Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>

commit 0e58d64382a4efd2b1140f1fb1b3cf19043f1dd4
Merge: a1d9fde ddad23a
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Apr 12 22:00:09 2010 -0500

    Merge remote branch 'UPSTREAM/master'

commit a1d9fde306aee2d65f83c0225c65a31b5d417e10
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Apr 12 21:57:23 2010 -0500

    Add comments to the service command.

commit c66c6f15f1ef15741842b4e573bcd9dfb28a7528
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Apr 11 14:59:50 2010 -0500

    Create a pm-utils local service command for distros that do not have one.

commit 68104102c9d1659183fc0ad998274602802c6b41
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Apr 10 15:20:48 2010 -0500

    Modify make-deb to not bother with checking out the debian branch since we merged it into
    master

commit 6bc4f4eeed002182bd4e39ee11fc024ceaf73757
Merge: 81628f1 e1fd7e6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Apr 10 15:19:05 2010 -0500

    Merge branch 'debian'

commit ddad23ae577a712489abbdd7e997ce4a551ea838
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Mar 19 17:36:14 2010 -0400

    Load hook blacklist for power.d hooks
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Dan Nicholson <dbn.lists@gmail.com>

commit 81628f159aa583bdba480f0537020700b3d2fb52
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Mar 19 09:15:01 2010 -0500

    Move .spec.in file into master.
    
    We no longer require the rpm branch, and will drop it.

commit e8d0b58a9df080f021d04b4c2d358003974092f3
Author: Michal Schmidt <mschmidt@redhat.com>
Date:   Tue Feb 23 14:57:05 2010 +0100

    on_ac_power: support UPower (new name for DeviceKit-power)
    
    DeviceKit-power got renamed to UPower and its D-Bus interface changed
    accordingly.
    
    Try UPower first in on_ac_power.
    If it fails, try DeviceKit-power.
    It if fails too, try hal.
    
    Also update documentation.
    
    Signed-off-by: Michael Biebl <mbiebl@gmail.com>

commit b010efe88f668e961a4b5f99480041c3408e81b8
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Mar 17 15:21:55 2010 -0500

    Oops, make-rpm should be executable.

commit 5315e7c7aa23b50a7a54061c91cf5ed544607b58
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Mar 17 15:19:20 2010 -0500

    Move make-rpm from the rpm branch to here

commit 6a0f687919da4465e3b76d6947e4fde46d092194
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Mar 17 15:11:30 2010 -0500

    Move files instead of copyingthem when cleaning up.

commit 1e9751039b6d96df6c3ea870982d092d2f69c339
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Mar 17 15:06:50 2010 -0500

    Clean up after ourselves properly

commit e1fd7e66d35ded2a30af3b3a1f942d2e91599850
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Mar 17 14:56:28 2010 -0500

    Mokve make-deb to the master branch

commit e950b5ffe18ad36f14acaec554becf9795233f0d
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Wed Mar 17 14:55:11 2010 -0500

    Move make-deb script from the debian branch to here.

commit 0ed2f3950e4797c592d89dcbe9d2bc194e560a2c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 23:11:39 2010 -0500

    Fix import-fdi-quirkdb
    
    Magic foo_outof regex munging code was not working due to a deplorable lack of extglob.
    Compaq biosen have some truly hideous identifiers.
    Hmmm... lenovo fdi file seems to use slightly looser XML.

commit ff649497ad05fc7a7e7a2d33f7e91174f61da5ac
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 21:50:14 2010 -0500

    Bump docbook revision for the manpage sources to 4.5

commit 41313a747ab99b0c4cc1995c7e54cbeb185dbcbe
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 21:43:39 2010 -0500

    Bump revision to 1.3.0

commit 8716abfa75f0e7d227fdba1d31cd65a7b9b9348c
Merge: 509f6ba 0fca81b
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Mar 14 21:41:53 2010 -0500

    Merge branch 'master' into pm-utils-1.3

commit 0fca81b9a39b31a8103f1380953948c722e2b331
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Feb 15 16:50:27 2010 +0100

    Fix a small typo ('lits') in pm-action.8
    
    Reported as Debian bug:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567084

commit 916a6dc5008b51e63c1708b66eb1847c9f8dc72e
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Feb 15 00:38:44 2010 +0100

    Small fix for 309fba58adaf8c57df6cb91411c81eae336e82dc

commit 309fba58adaf8c57df6cb91411c81eae336e82dc
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Wed Feb 3 22:19:31 2010 +0100

    Rename, for consistency's sake

commit 8fb0119543fc186786ff5dd10cccab066ede1860
Author: Rafał Miłecki <zajec5@gmail.com>
Date:   Wed Feb 3 21:27:27 2010 +0100

    Fix typo in regexp, replacing ; char
    
    Replace all occurences of ; not only the first one
    
    Signed-off-by: Rafał Miłecki <zajec5@gmail.com>

commit d1cf11b9be14dd88bc1eeb9b7cd729fbcee632f7
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Feb 3 11:34:58 2010 -0800

    fix alternatives matching in native quirks DB
    
    The native quirks DB separates alternatives with ';'. For regexp matching, turn
    those into '|', so that they will actually match.

commit e5b0df69127b32f974cf9506460e7852cd25b8e4
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Feb 3 11:06:17 2010 -0800

    fix usage of find_native()
    
    98-video-quirk-db-handler expects find_native() to write the quirks to stdout,
    so actually do write them there. This makes the native quirks work.

commit 665bad4f548f19ab8706026c646e44cdab8c37f9
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Tue Feb 2 17:40:14 2010 -0800

    fix DMI attribute matching
    
    canonicalize_dmivar() refused the valid property "system.firmware.release_date"
    because of a missing '_' in the character filter.

commit 509f6badd8ffcc40bd3393d8c222ee8adacfa6b6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Fri Dec 25 10:45:24 2009 -0600

    chvt again when using nvidia binary driver
    
    Certian newer nvidia binary drivers do not chvt in kernelspace, which
    leads to reported lockups.  Go ahead and have them chvt in userspace again.

commit e0b016fd42d3e2c279f730bd0f400933267d6fdb
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 13 20:55:02 2009 -0600

    Bump revision to rc3

commit 8e4dc224482476b5f186375bedf1e4c809e4b727
Merge: 455709e a253fe1
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 13 20:54:03 2009 -0600

    Merge branch 'pm-utils-1.3'

commit a253fe1a2f1aa6b9a4cd3305c0c683efc289f824
Merge: 8cb8fb3 3aba018
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 13 20:53:45 2009 -0600

    Merge is_set fix from 1.2 branch

commit 3aba018a220356f519f1066f6116642266559028
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 13 20:52:05 2009 -0600

    Oops, the "simple" bugfix for is_set broke everything else.

commit 8cb8fb33ce7450ea975a6e51a9516e31b9b18eb8
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 23:04:23 2009 -0600

    Fix silly typo in pm-action.xml

commit acf18d73b52a8b0b3b37746ced5e699b0fe79577
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 23:02:25 2009 -0600

    Bump to pm-utils-1.3.0-rc2

commit 7897b32ab1a3878a053e800bf314911d8d56a803
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 23:01:31 2009 -0600

    Bump to 1.2.7-rc1

commit 455709ea9df7e64cc0d29e18d0cdf0735bb69613
Merge: 8680e68 da03ab1
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:59:25 2009 -0600

    Merge branch 'pm-utils-1.3'

commit da03ab146c022b685b096ed7fe118eb4bb29ee6e
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:57:00 2009 -0600

    Use --quirk-test to override the usual sanity checks.
    
    This can be useful for testing to see if your system requires an unusual set
    of quirks, but can also make your system crash in new and exciting ways across
    suspend/resume.  You have been warned.

commit d92323cbcb3c35896cc2969ff2fa9cb1d8365361
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:40:58 2009 -0600

    Update 98-video-quirk-db-handler to reflect recent bug fixes
    
    Some longstanding typos in the quirks were fixed in 98smart-kernel-video.
    Update the new quirk handling machinery to take those fixes into account.

commit 03b34a925efebf3cc98939cfbb8e58a4408b5f93
Merge: d1ebbc4 2c79827
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:37:05 2009 -0600

    Merge branch 'pm-utils-1.2' into pm-utils-1.3
    
    Conflicts:
    	pm/sleep.d/98smart-kernel-video

commit 8680e685ab091d74eb5063393806a3a3f1894f5d
Merge: f3886ca 2c79827
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 22:36:18 2009 -0600

    Merge branch 'pm-utils-1.2'

commit 2c7982708aea4296cdd238b224fc9b0b99f117b8
Author: Christian Krause <chkr@plauener.de>
Date:   Thu Dec 10 22:34:14 2009 -0600

    Fix pci-save vs save-pci related typos
    
    - fix wrong function calls to pci_restore and pci_save which did
    not match the actual defined functions (restore_pci and save_pci)
    - use the correct quirk parameter in "remove_paramters"
    (use --quirk-save-pci instead of --quirk-pci-save)

commit 7f1732c08db46d76692cb2860c38d5e6d3987cc8
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Dec 10 21:58:38 2009 -0600

    [PATCH] Fix vga-mode-3 typo in video hooks
    
    We have been using vga-mode3 while the standard says vga-mode-3.
    This might fix (or even break) some resume issues on hardware which did
    not have any video quirks, since the option is set in
    fdi/information/10freedesktop/99-video-quirk-default.fdi from hal-info.
    
    http://bugs.freedesktop.org/show_bug.cgi?id=25334
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    
    Signed-off-by: Victor Lowther <victor.lowther@gmail.com>

commit 74ddb985b306c83db3fcd70605b0901b2a8309d6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Dec 10 21:39:01 2009 -0600

    Fix bug# 25547, make pm-action options formatting correct.

commit d1ebbc409abd43c1b8a96640516aff48f2492027
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Dec 7 19:10:55 2009 -0600

    Updated pm-action documentation to describe the new return values.

commit 09da44bedc97ddd75e77ed87b7a057dc21e01a38
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Dec 7 19:02:35 2009 -0600

    Track suspend/hibernate failures and exit accordingly.
    
    It turns out that echo whatever >/sys/power/state will fail if
    transitioning to that state fails.  If transitioning to the
    reuested power state fails, pm-action will return an error code
    greater or equal than 128.

commit f7df23f2928f63c38ef4b307b4312787f1a715bc
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Dec 6 13:32:33 2009 -0600

    Resolve bug# 25427

commit 57ff1f997d6297557340057e9fdbb2f956b31aa0
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 21:50:19 2009 -0600

    Update revision to reflect rc status, and make manpage actually build.

commit ab89e5758bc07d1506050d97b4d9ff5a051b6681
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 21:29:01 2009 -0600

    Update import-fdi-quirkdb to make it a little more flexible.
    
    It now takes two optional arguments -- $1 is the location of the .fdi
    quirks, and $2 is the place to put them.

commit 946ba5c8fa6e1d46b0bb205a0b2a98cc4261a480
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 12:02:18 2009 -0600

    Add reference to README.debugging in the pm-action manpage.

commit 00a867384055d98b6431ffca86ac664b2cacf614
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 11:52:56 2009 -0600

    Bump revision number to 1.3.0

commit c016155ca72c86bfefe397de4310f53566a1c246
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 11:51:33 2009 -0600

    Updated pm-action manpage to reflect recent changes.
    
    We have --store-quirks-as-lkw instead of --store-quirks-as-fdi, and
    the default kernel methods have a suspend-hybrid implementation that
    has a 900 second delay between suspending and hibernating.

commit cc971769598b08e8a29b5319048c59c41a0b2f2f
Merge: 71c88ca 8cadf34
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 11:11:01 2009 -0600

    Merge branch 'profiling-support' into native-quirk-db

commit 71c88ca37b0be0ad35555c53e4e059f014592eff
Merge: c6b37b9 f3886ca
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Dec 5 11:10:50 2009 -0600

    Merge branch 'master' into native-quirk-db

commit c6b37b9a0d5f12b7067bf24627af19fed6bcde5a
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Dec 1 20:39:03 2009 -0600

    Oops, spell nouveau correctly.

commit f3886cadd361f9f1659c2f555e5a0e74ed9422b6
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Dec 1 12:35:04 2009 -0600

    Add support for hibernate after suspend.
    
    Do this by adding a default suspend_hybrid sleep method. With the
    default settings, we schedule an alarm for 15 minutes from now, suspend,
    and hibernate if we wake up in 15 minutes.

commit 51f39d7b0e2b4b639392dc64c17fece0f972c085
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Dec 1 10:52:47 2009 -0600

    Oops, actually cache the dmi variables again if we need to update
    the last known working quirk.

commit 9b2e067bedd6d3f5351e6849b7d371fa1c9accda
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Tue Dec 1 00:30:04 2009 -0600

    Add some documentation on native quirk handling.
    
    Also add the functionality the documentation mentions.

commit 6a47db417d37828389cdaaf68818478ca0a51ec8
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 30 22:50:39 2009 -0600

    Clean up on_ac_power modifications.
    
    Ugh, backticks.

commit 557b67691b14c580e57cdefbf9faf2852c1e6c77
Merge: 8b08ffd f323e2c
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 30 22:42:39 2009 -0600

    Merge branch 'master' into native-quirk-db
    
    Conflicts:
    	pm/sleep.d/98smart-kernel-video
    
    98smart-kernel-video no longer exists, but we want the other fixups in the
    master branch.

commit 8b08ffdb3cf8ecce10309d7149474797832631d2
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 30 18:18:31 2009 -0600

    Some final fixups to make the built-in video quirk database handling work.

commit 591d9757685ae95795dbdc9fb3958325c2fab962
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 30 17:46:26 2009 -0600

    Oops, forgot up update Makefile.am

commit f323e2cf2eddd683721be4eadbdc82f0454e7190
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Nov 25 12:37:57 2009 +0100

    some documentation updates for DeviceKit-power
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25274

commit c7df9ec51d914ff06007414651c89750dbdb3745
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Nov 25 12:35:28 2009 +0100

    pm-functions.in: Drop $CHASSIS_TYPE
    
    $CHASSIS_TYPE is not used anywhere in pm-utils itself, nor any third-party
    pm-utils hook that I can see. It relies on a dmidecode map in hal which has
    never really been robust, and it just seems generally obsolete nowadays.
    
    Let's not proliferate that any further and just remove it entirely.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25274

commit 7cf2894a69cb5627fd9949bf065cb1c631b84bc5
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Nov 25 12:31:34 2009 +0100

    on_ac_power: DeviceKit-power support
    
    Try to contact DeviceKit-Power in on_ac_power, and if it succeeds, use that.
    Otherwise fall back to hal.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=25274

commit 738bfc88110d0f0a7a64b754875358a1a870bded
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Nov 30 09:51:41 2009 +0100

    Fix a typo in have_kms
    
    The nvidia driver is called "nouveau", not "noveau".
    Thanks to Julien Cristau for spotting this.

commit ea9c198040f9b70f474ef8297e227e70f56aa505
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 16 11:07:39 2009 -0600

    Actaully add the new .fdi importing script.

commit c4f1ddf6b31dc24e0181dea1d0495fc359f4d2d9
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 16 11:07:08 2009 -0600

    Extract out the bits that handle translating .fdi files into their own
    script.
    
    Integrating video quirk db handling into pm-utils requires splitting out
    database querying from database importing anyways.

commit 281bcef4c81e4a9751923bb6ea64669d1f9aba5d
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Mon Nov 16 10:30:10 2009 -0600

    Start merging native quirk handling functionality into pm-utils

commit 018525d16a874dac627d780e8ac6928ace702d60
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sun Nov 15 22:30:50 2009 -0600

    Make pm-utils handle video quirks natively
    
    Add video-quirk-db-handler, which knows how to read the video .fdi files,
    translate them into a native format, and use that native format to find the
    appropriate quirks for a given system.
    
    This hook replaces 00auto-quirk and 98smart-kernel-video.

commit dc0963283565bd67154ed8584f8c3f28b43b3807
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Nov 12 21:28:55 2009 -0600

    Bump to 1.2.6.1
    
    Oops, broke smart non-KMS modesetting for Intel.

commit 067ab317cee676d523d1954d1aeb04a6cc8df139
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Thu Nov 12 21:26:22 2009 -0600

    Add back have_smart_intel
    
    We still need to consider the case where i915 is used with modesetting
    disabled. So revert the have_smart_intel removal in
    504faf0a0c31cbdbc03a608cf633d58f12e49eb7.  Thanks, mbiebl!

commit 898b46860ad7aa509098e3e454e30c2f3d7b4dea
Merge: aa049b6 f66bfc9
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Sun Nov 8 17:10:57 2009 +0100

    Merge branch 'master' into pm-utils-1.2

commit f66bfc9193862450c64deb55c063171ec3985522
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Sun Nov 8 17:09:19 2009 +0100

    Fix typo in pm-action.8
    
    Patch by Mario Lang.
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=540122

commit 3dfbf269209ee4e1252d5de6cd2fe4ea78d91d68
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Sun Nov 8 17:05:18 2009 +0100

    Don't err out in maybe_deallocvt if there is no console state
    
    kpowersave pops up a window telling that an error "1" has occurred when
    suspending to ram. The error "1" message is annoying and lacks meaning
    to the user.
    
    It's caused by maybe_deallocvt returning the ret_val of state_exists
    when the tested (here: console) file isn't found. This absence of this file
    seems not to do any harm therefore the escalation of the ret_val 1 is
    deprecated.
    
    Solution: just tell maybe_deallocvt to return 0 in the above case.
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=554959

commit aa049b6e8d757579c2727a63fd09ee80c3a30ea4
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 7 23:52:33 2009 -0600

    Bump version number to 1.2.6

commit 51afe0cac4d540116c48949f65e16c141d6b0ade
Merge: 054668a 6014e54
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 7 23:51:04 2009 -0600

    Merge branch 'master' into pm-utils-1.2

commit 6014e54b7f007109616965ff601ff05ea6fc397a
Merge: 504faf0 6691c51
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 7 23:26:39 2009 -0600

    Merge commit 'remotes/UPSTREAM/master'

commit 504faf0a0c31cbdbc03a608cf633d58f12e49eb7
Author: Victor Lowther <victor.lowther@gmail.com>
Date:   Sat Nov 7 23:21:45 2009 -0600

    Make kernel modesetting detection a little smarter.
    
    It turns out that the method we were using to detect kernel modesetting
    support was not very accurate.  It turns out there is no bulletproof way
    for us to tell if KMS is being used, but Michael Biebl found a way that
    sucks less than out current method.  Hopefully the framebuffer drivers
    will grow a flag in sysfs somewhere that tells us that KMS is in use.

commit 6691c51d58951c328e08e50087b354ceb2c4f3db
Author: Michael Biebl <mbiebl@gmail.com>
Date:   Mon Jul 6 20:22:52 2009 +0200
